{% extends "dash/layouts/default.html" %}
{% load ig_url ig_edit_url from interestgroup %}

{% block title %}{{ title }}{% endblock title %}

{% block stylesheets %}{% endblock stylesheets %}

{% block content %}

<div class="row gap-20 masonry pos-r">
  <div class="masonry-sizer col-md-6"></div>
  <h4 class="c-grey-900 masonry-item col-md-12">{{ title }}</h4>

  {% if user_igs_list %}
  <div class="masonry-item w-100">
    <div class="row gap-20">

      {% for ig in user_igs_list %}
      <div class="col-md-3">
      <a href="{% ig_url ig.pk %}">
        <div class="layers bd bgc-white p-20">
          <div class="layer w-100 mB-10">
            <h6 class="lh-1">{{ ig.topic }}</h6>
          </div>
          <div class="layer w-100">
            <div class="peers ai-sb fxw-nw">
              <div class="peer peer-greed">
                <span>
                  <img src="{{ ig.get_badge_url|default:'/static/i_groups/badges/none.png' }}" style="width: 60px; height: 60px; background-color: gray;">
                </span>
              </div>
            </div>
          </div>
        </div>
      </a>
      </div>
      {% endfor %}
      {% for ig in user_requested_igs_list %}
      <div class="col-md-3">
        <a href="{% ig_url ig.pk %}">
          <div class="layers bd bgc-white p-20">
            <div class="layer w-100 mB-10">
              <h6 class="lh-1">{{ ig.topic }}</h6>
            </div>
            <div class="layer w-100">
              <div class="peers ai-sb fxw-nw">
                <div class="peer peer-greed">
                  <span>
                    <img src="{{ ig.get_badge_url|default:'/static/i_groups/badges/none.png' }}" style="width: 60px; height: 60px; background-color: gray;">
                  </span>
                  <span>Request sent</span>
                </div>
              </div>
            </div>
          </div>
        </a>
      </div>
      {% endfor %}
      <div class="col-md-3">
        <a href="{% url 'find-interest-groups' %}">
          <div class="layers bd bgc-white p-20">
            <div class="layer w-100 mB-10">
              <h6 class="lh-1">Find More...</h6>
            </div>
            <div class="layer w-100">
              <div class="peers ai-sb fxw-nw">
                <div class="peer peer-greed">
                  <span>
                    <div style="height: 60px; display: flex; justify-content: center; align-self: center;">
                      <i style="font-size: 40px;"class="c-pink-500 ti-plus"></i>
                    </div>
                  </span>
                </div>
              </div>
            </div>
          </div>
        </a>
      </div>
    </div>
  </div>
  {% endif %}

  {% if ig_suggestions_for_user is not None %}
  <h5 class="c-grey-900 masonry-item col-md-12">Suggestions</h5>
  <div class="masonry-item w-100">
    <div class="row gap-20">

      {% for ig in ig_suggestions_for_user %}
      <div class="col-md-3">
      <a href="{% ig_url ig.pk %}">
        <div class="layers bd bgc-white p-20">
          <div class="layer w-100 mB-10">
            <h6 class="lh-1">{{ ig.topic }}</h6>
          </div>
          <div class="layer w-100">
            <div class="peers ai-sb fxw-nw">
              <div class="peer peer-greed">
                <span>
                  <img src="{{ ig.get_badge_url|default:'/static/i_groups/badges/none.png' }}" style="width: 60px; height: 60px; background-color: gray;">
                </span>
              </div>
            </div>
          </div>
        </div>
      </a>
      </div>
      {% endfor %}
    </div>
  </div>
  <h5 class="c-grey-900 masonry-item col-md-12">Create new group</h5>
  <div class="masonry-item w-100">
    <div class="row gap-20">
      <div class="col-md-3">
      <form method='post' action="{% ig_edit_url None 'suggestion' %}">{% csrf_token %}
        <button type="submit" class="layers bd bgc-white p-20">
          <div class="layer w-100 mB-10">
            <h6 class="lh-1">Create new group</h6>
          </div>
          <div class="layer w-100">
            <div class="peers ai-sb fxw-nw">
              <div class="peer peer-greed">
                <span>
                  <div style="height: 60px; display: flex; justify-content: center; align-self: center;">
                    <i style="font-size: 40px;"class="c-pink-500 ti-plus"></i>
                  </div>
                </span>
              </div>
            </div>
          </div>
        </button>
      </form>
      </div>
    </div>
  </div>
  {% endif %}

</div>
            
{% endblock content %}
